POST /api/v1/sellers/createGET /api/v1/sellers/{id}POST /api/v1/sellers/{id}/deactivate
Create a Seller
POST /api/v1/sellers/create
Creates a new seller for your MoR account.
Business address.
Address line 1.
Address line 2.
Country code (2-letter ISO 3166-2 country code).
Postal code.
State or province.
Suburb or city.
Business identification number.
Contact email.
Industry code.
Legal entity name.
Merchant category code.
Phone number.
Registration country code.
Registration date in YYYY-MM-DD format.
Trading name.
List of websites.
Website URL.
Creation timestamp in ISO8601 format.
Unique identifier of the seller.
Status of the seller.
Last update timestamp in ISO8601 format.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Possible errors: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/sellers/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "address": {> "address_line1": "123 Market St",> "address_line2": "Suite 100",> "country_code": "US",> "postcode": "94105",> "state": "California",> "suburb": "San Francisco"> },> "business_identification_number": "201626561Z",> "email": "[email protected]",> "industry_code": "ICCV3_0001XX",> "legal_entity_name": "AIRWALLEX (SINGAPORE) PTE. LTD.",> "merchant_category_code": "5734",> "phone_number": "+1-555-1234",> "registration_country": "SG",> "registration_date": "2020-01-15",> "trading_name": "AIRWALLEX SG",> "websites": [> {> "url": "https://www.subseller.com"> }> ]>}'
1{2 "created_at": "2025-10-24T06:15:09Z",3 "id": "2ec93632-07c6-4afc-8519-25da56f3931a",4 "status": "IN_REVIEW",5 "updated_at": "2025-10-24T07:01:03Z"6}
Retrieve a Seller
GET /api/v1/sellers/{id}
Retrieves details of a seller using the given seller unique identifier.
Unique identifier of the seller.
Creation timestamp in ISO8601 format.
Seller details.
Business address.
Address line 1.
Address line 2.
Country code (2-letter ISO 3166-2 country code).
Postal code.
State or province.
Suburb or city.
Business identification number.
Contact email.
Industry code.
Legal entity name.
Merchant category code.
Phone number.
Registration country code.
Registration date in YYYY-MM-DD format.
Trading name.
List of websites.
Website URL.
Unique identifier of the seller.
Status of the seller.
Last update timestamp in ISO8601 format.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 404 | Possible errors: |
| 429 | Too many requests |
| 500 | Possible errors: |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/sellers/seller_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "created_at": "2025-10-28T06:45:12Z",3 "details": {4 "address": {5 "address_line1": "123 Market St",6 "address_line2": "Suite 100",7 "country_code": "US",8 "postcode": "94105",9 "state": "California",10 "suburb": "San Francisco"11 },12 "business_identification_number": "201626561Z",13 "email": "[email protected]",14 "industry_code": "ICCV3_0001XX",15 "legal_entity_name": "AIRWALLEX (SINGAPORE) PTE. LTD.",16 "merchant_category_code": "5734",17 "phone_number": "+1-555-1234",18 "registration_country": "SG",19 "registration_date": "2020-01-15",20 "trading_name": "AIRWALLEX SG",21 "websites": [22 {23 "url": "https://www.subseller.com"24 }25 ]26 },27 "id": "220362ad-f8e0-42c9-937a-5bdd67cfc7d1",28 "status": "ACTIVE",29 "updated_at": "2025-10-28T07:01:03Z"30}
Deactivate a Seller
POST /api/v1/sellers/{id}/deactivate
Deactivates an existing seller by unique identifier.
Unique identifier of the seller.
Creation timestamp in ISO8601 format.
Unique identifier of the seller.
Status of the seller.
Last update timestamp in ISO8601 format.
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 404 | Possible errors: |
| 429 | Too many requests |
| 500 | Possible errors: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/sellers/seller_id/deactivate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "created_at": "2025-10-24T06:15:09Z",3 "id": "2ec93632-07c6-4afc-8519-25da56f3931a",4 "status": "IN_REVIEW",5 "updated_at": "2025-10-24T07:01:03Z"6}